# Uses of Class
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AttributeAuthorityEntityIDSource

Packages that use AttributeAuthorityEntityIDSource
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl
Utility support classes used when querying a SAML attribute authority.

## Uses of AttributeAuthorityEntityIDSource in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl with type parameters of type AttributeAuthorityEntityIDSource
Modifier and Type
Field
Description
`private List<AttributeAuthorityEntityIDSource>`
SimpleAggregationSAMLDataConnector.`entityIDSources`
Sources of attribute authority entityIDs.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return types with arguments of type AttributeAuthorityEntityIDSource
Modifier and Type
Method
Description
`List<AttributeAuthorityEntityIDSource>`
SimpleAggregationSAMLDataConnector.`getEntityIDSources()`
Get the attribute authority entityID sources.
Method parameters in net.shibboleth.idp.attribute.resolver.dc.saml.impl with type arguments of type AttributeAuthorityEntityIDSource
Modifier and Type
Method
Description
`void`
SimpleAggregationSAMLDataConnector.`setEntityIDSources(List<AttributeAuthorityEntityIDSource> sources)`
Set the attribute authority entityID sources.

## Uses of AttributeAuthorityEntityIDSource in net.shibboleth.idp.attribute.resolver.dc.saml.util.impl

Subclasses of AttributeAuthorityEntityIDSource in net.shibboleth.idp.attribute.resolver.dc.saml.util.impl
Modifier and Type
Class
Description
`class`
`AttributeAuthorityEntityIDReference`
Sub-type of `AttributeAuthorityEntityIDSource` which specifies a reference to an entityID in the form of an attribute resolver dependency attribute name.
`class`
`AttributeAuthorityEntityIDValue`
Sub-type of `AttributeAuthorityEntityIDSource` which specifies the entityID directly by value.